### Namespace

# CoglPango – 14

A Low Level GPU Graphics and Utilities API

Version | 14
Authors | Mutter Development Team
License | GPL-2.0-or-later
Website | https://blogs.gnome.org/shell-dev/
Source | https://gitlab.gnome.org/GNOME/mutter/

#### Build

C headers | `cogl-pango.h`
pkg-config files | `mutter-cogl-pango-14`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation
Pango—1.0 | Text shaping and rendering
| Browse documentation
PangoCairo—1.0 | Cairo support for Pango
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

Renderer |

#### Aliases

FontMap |

#### Functions

ensure_glyph_cache_for_layout | This updates any internal glyph cache textures as necessary to be able to render the given `layout`.
font_map_clear_glyph_cache | Clears the glyph cache for `font_map`.
font_map_create_context | Create a `PangoContext` for the given `font_map`.
font_map_get_renderer | Retrieves the `CoglPangoRenderer` for the passed `font_map`.
font_map_get_use_mipmapping | Retrieves whether the `CoglPangoRenderer` used by `font_map` will use mipmapping when rendering the glyphs.
font_map_new | Creates a new font map.
font_map_set_resolution | Sets the resolution for the `font_map`.
font_map_set_use_mipmapping | Sets whether the renderer for the passed font map should use mipmapping when rendering a `PangoLayout`.
show_layout | Draws a solidly coloured `layout` on the given `framebuffer` at (`x`, `y`) within the `framebuffer`‘s current model-view coordinate space.
show_layout_line | Draws a solidly coloured `line` on the given `framebuffer` at (`x`, `y`) within the `framebuffer`‘s current model-view coordinate space.

#### Function Macros

FONT_MAP |